<h1>Current Job Offers</h1>
<div class="search-box">
	<form method="POST" action="search" class="form-search">
		 <%= csrf_token_field %>
		<input type="text" name="q" />
		<input type="submit" value="search" id="search-button" class="btn btn-primary"/>
	</form>
</div>

<table class="table table-bordered">
	<thead>
		<tr>
			<th>Title</th>
			<th>Location</th>
			<th>Description</th>
			<th>Remuneration</th>
			<th>Tags</th>
			<th>Actions</th>
		</tr>
	</thead>
	<tbody id="currentJobOffers">
		<% @offers.each do | offer| %>
			<tr>
				<td>
					<%= offer.title %>
				</td>
				<td>
					<%= offer.location %>
				</td>
				<td>
					<%= offer.description %>
				</td>
				<td>
					<% if offer.salary == 0 %>
						Not specified
					<% else%>
						USD <%= offer.salary %>
					<% end %>
				</td>	
				<td>
					<% if (!offer.tags.nil?) && (!offer.tags.empty?) %>
						<% offer.tags.each do |offer_tag| %>
							<span class="label label-success">
								<%= offer_tag.tag %>
							</span>					
						<% end %>
					<% end %>
				</td>	
				<td>
					<%= link_to 'Apply', url_for(:job_offers, :apply, :offer_id => offer.id), :class => "btn btn-primary" %>
				</td>		
			</tr>
		<% end %>
	</tbody>

</table>